@font-face {
    font-family: 'LexendExa';
    src: url('/font/LexendExa.ttf');
}

@font-face {
    font-family: 'Carolyna-Pro';
    src: url('/font/carolyna-pro.ttf');
}

:root {
    --background-color: #F6EEE3;
    --background-color-darkened: #dfc39b;
    --background-color-secondary: #374f2f;
    --background-color-secondary-darkened: #2c3f26;

    --text-color: rgb(206, 131, 110);
    --text-color-secondary: #F8F0E3;

    --error-color: #F44336;
}


html {
    font-size: 16px;
    color: var(--text-color);
    font-family: LexendExa;
    margin: 0;
    height: 100dvh;
}

body {
    display: flex;
    flex-direction: column;
    font-size: 1.2rem;
    min-height: 100dvh;
    margin: 0;
    background-color: var(--background-color);
}

h1 {
    font-size: 2rem;
    font-weight: 400;
    margin:  0.5rem 0;
}


form {
    .form-field {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        margin-bottom: 1rem;

        &.secondary {
            input,textarea {
                --input-text-color: var(--text-color-secondary);
                --input-border-hovered-color: var(--background-color-darkened);
                --input-border-color: var(--background-color);
                --input-background-color: var(--background-color-secondary);
            }
        }

        input,textarea {
            --input-border-color: var(--background-color-secondary);
            --input-border-hovered-color: var(--background-color-secondary-darkened);
            --input-background-color: var(--background-color);
            --input-text-color: var(--text-color);


            border: 1px solid var(--input-border-color);
            border-radius: 10px;
            padding: 0.5rem 1rem;

            background-color: var(--input-background-color);
            color: var(--input-text-color);

            &.invalid {
                --input-border-color: var(--error-color);
            }

            &:hover, &:focus, &:focus-visible {
                border-color: var(--input-border-hovered-color);
                outline-color: var(--input-border-hovered-color);
            }
        }

        .error {
            word-break:  break-word;
            color: var(--error-color);
        }
    }
}


button {
    --button-color: var(--background-color-secondary);
    --button-text-color: var(--text-color-secondary);
    --button-hovered-color: var(--background-color-secondary);

    border: 1px solid var(--button-color);
    border-radius: 15px;
    padding: 0.75rem;
    background-color: var(--button-color);
    color: var(--button-text-color);

    cursor: pointer;

    &:hover, &:focus, &:focus-visible {
        border-color: var(--button-hovered-color);
        outline-color: var(--button-hovered-color);

        &.secondary {
            --button-color: var(--background-color);
            --button-text-color: var(--background-color-secondary);
            --button-hovered-color: var(--background-color-darkened);
        }
    }

    &.secondary {
        --button-color: var(--background-color);
        --button-text-color: var(--background-color-secondary);
        --button-hovered-color: var(--background-color-darkened);
    }
}


.notice {
    --notice-background-color: green;
    --notice-text-color: white;
    --notice-border-color: darkgreen;

    align-self: center;

    display: flex;
    align-items: center;
    justify-content: center;

    width: 50%;
    min-height: 3rem;
    padding: 1rem;
    background-color: var(--notice-background-color);
    color: var(--notice-text-color);

    border: 1px solid var(--notice-background-color);
    border-radius: 10px;
}


@media (max-width: 800px) {
    html {
        font-size: 14px;
    }

}
